package com.hai.service;

import com.hai.entity.HighGasStaff;

import java.util.List;
import java.util.Map;

/**
 * 加油站员工
 * @author hurui
 */
public interface HighGasStaffService {

    /**
     * 编辑员工数据
     * @param gasStaff
     */
    void editData(HighGasStaff gasStaff);

    /**
     * 增加员工
     * @param gasStaff
     */
    void addStaff(HighGasStaff gasStaff) throws Exception;

    /**
     * 修改员工
     * @param gasStaff
     */
    void updateStaff(HighGasStaff gasStaff);

    /**
     * 删除员工
     * @param id
     */
    void delStaff(Long id);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    HighGasStaff getStaffDetailById(Long id);

    /**
     * 查询员工列表
     * @param param
     * @return
     */
    List<HighGasStaff> getStaffList(Map<String, Object> param);
}
